# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc重复审核,2250,2250-12,sit,bs
主数据平台:运营后台管理系统需求单审核拒绝接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import time

module = "cmdc_demand_fail"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步查询需求单列表中待审核的需求单
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload10")
# 发送请求
result = requests.post(url1, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取demandId
demand_id = result["data"]["list"][0]["demandId"]

# 第三步进行需求单审核拒绝操作
url2 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
request_body2 = commonFuc().get_business_data(module, "payload1", demand_id)
# 发送请求
result = requests.post(url2, json=request_body2, headers=headers)
# 增加两次审核间隔时间
time.sleep(5)
# 第四步进行需求单重复审核拒绝操作
url3 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
request_body3 = commonFuc().get_business_data(module, "payload2", demand_id)

"""
 场景:重复审核同一个需求单
 用例名称：重复审核同一个需求单
 输出：{"success":false,"code":"demand","message":"该订单已提交过，请稍后操作","data":null,"freshToken":null}
"""
# 发送请求
result3 = requests.post(url3, json=request_body3, headers=headers)
result3 = json.loads(result3.content)
# print(result3)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result3)
